# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`ibm_profile`](#ibm_profile): ibm_profile   See the file "LICENSE" for the full license governing this code.
* [`ibm_profile::iib_machine`](#ibm_profileiib_machine): Besides setting up MQ, the `ibm_profile` module also has support for setting up IBM Integration Bus (IIB).
* [`ibm_profile::iib_machine::autostart`](#ibm_profileiib_machineautostart): This class enables autostart for the specfied brokers.
* [`ibm_profile::iib_machine::broker_setup`](#ibm_profileiib_machinebroker_setup): This class allows you to setup your IIB broker configuration.
* [`ibm_profile::iib_machine::deployments`](#ibm_profileiib_machinedeployments): ibm_profile::iib_machine::deployments  This class allows you to setup your IIB deployments. Use use a `yaml` representation of [iib_deploymen
* [`ibm_profile::iib_machine::server_setup`](#ibm_profileiib_machineserver_setup): This class allows you to setup your IIB server configuration.
* [`ibm_profile::iib_machine::software`](#ibm_profileiib_machinesoftware): This class allows you to setup your IIB software on your system.
* [`ibm_profile::mq_machine`](#ibm_profilemq_machine): ## The `ibm_profile::mq_machine` class
* [`ibm_profile::mq_machine::authorization_setup`](#ibm_profilemq_machineauthorization_setup): This class allows you to setup your MQ messaging security.
* [`ibm_profile::mq_machine::autostart`](#ibm_profilemq_machineautostart): This class enables autostart for the specfied MQ managers.
* [`ibm_profile::mq_machine::fixpack`](#ibm_profilemq_machinefixpack): This class allows you to install a certain fixpack
* [`ibm_profile::mq_machine::manager_setup`](#ibm_profilemq_machinemanager_setup): This class allows you to setup your MQ manager configuration.
* [`ibm_profile::mq_machine::messaging_setup`](#ibm_profilemq_machinemessaging_setup): This class allows you to setup your MQ messaging setup.
* [`ibm_profile::mq_machine::mq_web`](#ibm_profilemq_machinemq_web): This class allows you to setup your MQ web configuration.
* [`ibm_profile::mq_machine::software`](#ibm_profilemq_machinesoftware): This class allows you to setup your IIB software on your system.
* [`ibm_profile::mq_machine::sysctl`](#ibm_profilemq_machinesysctl): This class is the default implementation for making sure the OS sysctl settings on your system are set correctly for MQ.

## Classes

### <a name="ibm_profile"></a>`ibm_profile`

ibm_profile


See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ibm_profile` class:

* [`mq_os_user`](#mq_os_user)
* [`mq_os_group`](#mq_os_group)
* [`iib_os_user`](#iib_os_user)
* [`iib_os_group`](#iib_os_group)
* [`source_location`](#source_location)
* [`mq_managers`](#mq_managers)

##### <a name="mq_os_user"></a>`mq_os_user`

Data type: `String[1]`



##### <a name="mq_os_group"></a>`mq_os_group`

Data type: `String[1]`



##### <a name="iib_os_user"></a>`iib_os_user`

Data type: `String[1]`



##### <a name="iib_os_group"></a>`iib_os_group`

Data type: `String[1]`



##### <a name="source_location"></a>`source_location`

Data type: `String[1]`



##### <a name="mq_managers"></a>`mq_managers`

Data type: `Hash`



### <a name="ibm_profileiib_machine"></a>`ibm_profile::iib_machine`

ibm_profile::iib_machine

The `ibm_profile::iib_machine` class allows you to get a full fledged IIB setup on your system in a minute. It contains all default settings needed, but you can also tweak it in a lot of ways. It contains the following stages (These are not puppet stages):

- [`sysctl`](/docs/ibm_profile/iib_machine/sysctl.html)                   (Set all required sysctl parameters)
- [`limits`](/docs/ibm_profile/iib_machine/limits.html)                   (Set all required OS limits)
- [`packages`](/docs/ibm_profile/iib_machine/packages.html)               (Install all required packages
- [`groups_and_users`](/docs/ibm_profile/iib_machine/groups_and_users.html) (Create required groups and users)
- [`firewall`](/docs/ibm_profile/iib_machine/firewall.html)                 (Open required firewall rules)
- [`software`](/docs/ibm_profile/iib_machine/software.html)                 (Install required IBM MQ software)
- [`broker_setup`](/docs/ibm_profile/iib_machine/broker_setup.html)         (Setup the IIB broker(s))
- [`server_setup`](/docs/ibm_profile/iib_machine/server_setup.html)         (Setup ths IIB server(s))
- [`deployments`](/docs/ibm_profile/iib_machine/deployments.html)           (Manage the deployments)
- [`autostart`](/docs/ibm_profile/iib_machine/autostart.html)               (Ensure autostart for the IIB brokers)

All these stages have a default implementation. This implementation is suitable to get started with. These classed all have parameters you can customize through hiera values. The defaults are specified in the module's `data/default.yaml` file.

But sometimes this is not enough and you would like to add some extra definitions, you can, for example, add a Puppet class to be executed after the `systctl` stage is done and before the `limits` is done. You can do this by adding the next line to your yaml data:

```yaml
ibm_profile::iib_machine::before_sysctl:   my_profile::my_extra_class
```
or after:

```yaml
ibm_profile::iib_machine::after_sysctl:   my_profile::my_extra_class
```

If you want to, you can also skip this provided class:

```yaml
ibm_profile::iib_machine::sysctl:   skip
```

Or provide your own implementation:

```yaml
ibm_profile::iib_machine::sysctl:   my_profile::my_own_implementation
```

This mechanism can be used for all named stages and makes it easy to move from an easy setup with a running standard database to a fully customized setup using a lot of your own classes plugged in.

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ibm_profile::iib_machine` class:

* [`before_sysctl`](#before_sysctl)
* [`before_limits`](#before_limits)
* [`before_groups_and_users`](#before_groups_and_users)
* [`before_packages`](#before_packages)
* [`before_firewall`](#before_firewall)
* [`before_software`](#before_software)
* [`before_broker_setup`](#before_broker_setup)
* [`before_server_setup`](#before_server_setup)
* [`before_deployments`](#before_deployments)
* [`before_autostart`](#before_autostart)
* [`sysctl`](#sysctl)
* [`limits`](#limits)
* [`groups_and_users`](#groups_and_users)
* [`packages`](#packages)
* [`firewall`](#firewall)
* [`software`](#software)
* [`server_setup`](#server_setup)
* [`broker_setup`](#broker_setup)
* [`deployments`](#deployments)
* [`autostart`](#autostart)
* [`after_sysctl`](#after_sysctl)
* [`after_limits`](#after_limits)
* [`after_groups_and_users`](#after_groups_and_users)
* [`after_packages`](#after_packages)
* [`after_firewall`](#after_firewall)
* [`after_software`](#after_software)
* [`after_broker_setup`](#after_broker_setup)
* [`after_server_setup`](#after_server_setup)
* [`after_deployments`](#after_deployments)
* [`after_autostart`](#after_autostart)

##### <a name="before_sysctl"></a>`before_sysctl`

Data type: `Optional[String]`

The name of the class you want to execute directly **before** the `sysctl` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::before_sysctl:  my_module::my_class
```

Default value: ``undef``

##### <a name="before_limits"></a>`before_limits`

Data type: `Optional[String]`

The name of the class you want to execute directly **before** the `limits` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::before_limits:  my_module::my_class
```

Default value: ``undef``

##### <a name="before_groups_and_users"></a>`before_groups_and_users`

Data type: `Optional[String]`

The name of the class you want to execute directly **before** the `groups_and_users` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::before_groups_and_users:  my_module::my_class
```

Default value: ``undef``

##### <a name="before_packages"></a>`before_packages`

Data type: `Optional[String]`

The name of the class you want to execute directly **before** the `packages` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::before_packages:  my_module::my_class
```

Default value: ``undef``

##### <a name="before_firewall"></a>`before_firewall`

Data type: `Optional[String]`

The name of the class you want to execute directly **before** the `firewall` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::before_firewall:  my_module::my_class
```

Default value: ``undef``

##### <a name="before_software"></a>`before_software`

Data type: `Optional[String]`

The name of the class you want to execute directly **before** the `software` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::before_software:  my_module::my_class
```

Default value: ``undef``

##### <a name="before_broker_setup"></a>`before_broker_setup`

Data type: `Optional[String]`

The name of the class you want to execute directly **before** the `broker_setup` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::before_broker_setup:  my_module::my_class
```

Default value: ``undef``

##### <a name="before_server_setup"></a>`before_server_setup`

Data type: `Optional[String]`

The name of the class you want to execute directly **before** the `server_setup` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::before_server_setup:  my_module::my_class
```

Default value: ``undef``

##### <a name="before_deployments"></a>`before_deployments`

Data type: `Optional[String]`

The name of the class you want to execute directly **before** the `deployments` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::before_deployments:  my_module::my_class
```

Default value: ``undef``

##### <a name="before_autostart"></a>`before_autostart`

Data type: `Optional[String]`

The name of the class you want to execute directly **before** the `autostart` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::before_autostart:  my_module::my_class
```

Default value: ``undef``

##### <a name="sysctl"></a>`sysctl`

Data type: `Optional[String]`

Use this value if you want to skip or use your own class for stage `sysctl`.
## Use your own class
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::sysctl:  my_module::my_class
```
## Skip
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::sysctl:  skip
```

Default value: ``undef``

##### <a name="limits"></a>`limits`

Data type: `Optional[String]`

Use this value if you want to skip or use your own class for stage `limits`.
## Use your own class
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::limits:  my_module::my_class
```
## Skip
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::limits:  skip
```

Default value: ``undef``

##### <a name="groups_and_users"></a>`groups_and_users`

Data type: `Optional[String]`

Use this value if you want to skip or use your own class for stage `groups_and_users`.
## Use your own class
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::groups_and_users:  my_module::my_class
```
## Skip
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::groups_and_users:  skip
```

Default value: ``undef``

##### <a name="packages"></a>`packages`

Data type: `Optional[String]`

Use this value if you want to skip or use your own class for stage `packages`.
## Use your own class
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::packages:  my_module::my_class
```
## Skip
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::packages:  skip
```

Default value: ``undef``

##### <a name="firewall"></a>`firewall`

Data type: `Optional[String]`

Use this value if you want to skip or use your own class for stage `firewall`.
## Use your own class
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::firewall:  my_module::my_class
```
## Skip
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::firewall:  skip
```

Default value: ``undef``

##### <a name="software"></a>`software`

Data type: `Optional[String]`

Use this value if you want to skip or use your own class for stage `software`.
## Use your own class
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::software:  my_module::my_class
```
## Skip
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::software:  skip
```

Default value: ``undef``

##### <a name="server_setup"></a>`server_setup`

Data type: `Optional[String]`

Use this value if you want to skip or use your own class for stage `server_setup`.
## Use your own class
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::server_setup:  my_module::my_class
```
## Skip
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::server_setup:  skip
```

Default value: ``undef``

##### <a name="broker_setup"></a>`broker_setup`

Data type: `Optional[String]`

Use this value if you want to skip or use your own class for stage `broker_setup`.
## Use your own class
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::broker_setup:  my_module::my_class
```
## Skip
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::broker_setup:  skip
```

Default value: ``undef``

##### <a name="deployments"></a>`deployments`

Data type: `Optional[String]`

Use this value if you want to skip or use your own class for stage `deployments`.
## Use your own class
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::deployments:  my_module::my_class
```
## Skip
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::deployments:  skip
```

Default value: ``undef``

##### <a name="autostart"></a>`autostart`

Data type: `Optional[String]`

Use this value if you want to skip or use your own class for stage `autostart`.
## Use your own class
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::autostart:  my_module::my_class
```
## Skip
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::autostart:  skip
```

Default value: ``undef``

##### <a name="after_sysctl"></a>`after_sysctl`

Data type: `Optional[String]`

The name of the class you want to execute directly **after** the `sysctl` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::after_sysctl:  my_module::my_class
```

Default value: ``undef``

##### <a name="after_limits"></a>`after_limits`

Data type: `Optional[String]`

The name of the class you want to execute directly **after** the `limits` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::after_limits:  my_module::my_class
```

Default value: ``undef``

##### <a name="after_groups_and_users"></a>`after_groups_and_users`

Data type: `Optional[String]`

The name of the class you want to execute directly **after** the `groups_and_users` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::after_groups_and_users:  my_module::my_class
```

Default value: ``undef``

##### <a name="after_packages"></a>`after_packages`

Data type: `Optional[String]`

The name of the class you want to execute directly **after** the `packages` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::after_packages:  my_module::my_class
```

Default value: ``undef``

##### <a name="after_firewall"></a>`after_firewall`

Data type: `Optional[String]`

The name of the class you want to execute directly **after** the `firewall` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::after_firewall:  my_module::my_class
```

Default value: ``undef``

##### <a name="after_software"></a>`after_software`

Data type: `Optional[String]`

The name of the class you want to execute directly **after** the `software` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::after_software:  my_module::my_class
```

Default value: ``undef``

##### <a name="after_broker_setup"></a>`after_broker_setup`

Data type: `Optional[String]`

The name of the class you want to execute directly **after** the `broker_setup` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::after_broker_setup:  my_module::my_class
```

Default value: ``undef``

##### <a name="after_server_setup"></a>`after_server_setup`

Data type: `Optional[String]`

The name of the class you want to execute directly **after** the `server_setup` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::after_server_setup:  my_module::my_class
```

Default value: ``undef``

##### <a name="after_deployments"></a>`after_deployments`

Data type: `Optional[String]`

The name of the class you want to execute directly **after** the `deployments` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::after_deployments:  my_module::my_class
```

Default value: ``undef``

##### <a name="after_autostart"></a>`after_autostart`

Data type: `Optional[String]`

The name of the class you want to execute directly **after** the `autostart` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::iib_machine::after_autostart:  my_module::my_class
```

Default value: ``undef``

### <a name="ibm_profileiib_machineautostart"></a>`ibm_profile::iib_machine::autostart`

ibm_profile::iib_machine::autostart

This means a `systemctl` unit is created and the named brokers are added. For autostart to be enabled, the class needs the OS user and the OS group the broker will run in. It also needs the version of IIB.

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ibm_profile::iib_machine::autostart` class:

* [`list`](#list)
* [`version`](#version)
* [`iib_os_user`](#iib_os_user)
* [`iib_os_group`](#iib_os_group)

##### <a name="list"></a>`list`

Data type: `Hash`

A list of brokers.
The default value is fetched from the hiera key `ibm_profile::iib_brokers`. To fill this list use a `yaml` representation of [iib_brokers](/docs/iib_config/iib_broker.html)

##### <a name="version"></a>`version`

Data type: `String`

The IIB version to use when autostarting the brokers.
The default is value is fetched from the hiera key `ibm_profile::iib_machine::software::version`.

##### <a name="iib_os_user"></a>`iib_os_user`

Data type: `String`

The OS user used for autostarting the brokers.
The default is `iibadmin`

##### <a name="iib_os_group"></a>`iib_os_group`

Data type: `String`

The OS group used for autostarting the brokers.
The default is `mqbrkrs`

### <a name="ibm_profileiib_machinebroker_setup"></a>`ibm_profile::iib_machine::broker_setup`

ibm_profile::iib_machine::broker_setup

It has support for creating and managing multiple brokers. Use use a `yaml` representation of [iib_brokers](/docs/iib_config/iib_broker.html) to specify all properties and params of the brokers you need. When a lot of the brokers have the same defaults, use the `defaults` parameter to specify a Hash of defaults.

Besides the initial broker configuration, you can also configure additional properties. Read about [iib_properties here](/docs/iib_config/iib_property.html).

This class also allows you to register used credentials. Use the `credentials` property for this. Read about [iib_credential here](/docs/iib_config/iib_credential.html)

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ibm_profile::iib_machine::broker_setup` class:

* [`defaults`](#defaults)
* [`list`](#list)
* [`properties`](#properties)
* [`credentials`](#credentials)

##### <a name="defaults"></a>`defaults`

Data type: `Hash`

a Hash of default properties added to all specfied Brokers.
Use [iib_brokers](/docs/iib_config/iib_broker.html) to specify the defaults.
The default value is: `{}`

##### <a name="list"></a>`list`

Data type: `Hash`

The list of brokers to configure.
Use use a `yaml` representation of [iib_brokers](/docs/iib_config/iib_broker.html) to specify all properties and params of the brokers you need.
The default value is fetched from the hiera key `ibm_profile::iib_brokers` and is `{}` by default.

##### <a name="properties"></a>`properties`

Data type: `Hash`

The list of IIB broker properties.
Read about [iib_properties here](/docs/iib_config/iib_property.html).
The default value is: `{}`

##### <a name="credentials"></a>`credentials`

Data type: `Hash`

The list of used credentials.
Use the `credentials` property for this. Read about [iib_credential here](/docs/iib_config/iib_credential.html).
The default value is: `{}`

### <a name="ibm_profileiib_machinedeployments"></a>`ibm_profile::iib_machine::deployments`

ibm_profile::iib_machine::deployments

This class allows you to setup your IIB deployments. Use use a `yaml` representation of [iib_deployment](/docs/iib_config/iib_deployment.html) to specify all properties and params of the deployment you need. When a lot of the deployments have the same defaults, use the `defaults` parameter to specify a Hash of defaults.

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ibm_profile::iib_machine::deployments` class:

* [`defaults`](#defaults)
* [`list`](#list)

##### <a name="defaults"></a>`defaults`

Data type: `Hash`

a Hash of default properties added to all specfied deployments.
Use [iib_deployment](/docs/iib_config/iib_deployment.html) to specify the defaults.
The default value is: `{}`

##### <a name="list"></a>`list`

Data type: `Hash`

a Hash of deployments.
Use [iib_deployment](/docs/iib_config/iib_deployment.html) to specify the defaults.
The default value is: `{}`

### <a name="ibm_profileiib_machineserver_setup"></a>`ibm_profile::iib_machine::server_setup`

ibm_profile::iib_machine::server_setup

It has support for creating and managing multiple servers. Use use a `yaml` representation of [iib_servers](/docs/iib_config/iib_server.html) to specify all properties and params of the servers you need. When a lot of the servers have the same defaults, use the `defaults` parameter to specify a Hash of defaults.

Besides the initial server configuration, you can also configure additional properties. Read about [iib_properties here](/docs/iib_config/iib_property.html).

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ibm_profile::iib_machine::server_setup` class:

* [`defaults`](#defaults)
* [`list`](#list)
* [`properties`](#properties)

##### <a name="defaults"></a>`defaults`

Data type: `Hash`

a Hash of default properties added to all specfied Brokers.
Use [iib_server](/docs/iib_config/iib_server.html) to specify the defaults.
The default value is: `{}`

##### <a name="list"></a>`list`

Data type: `Hash`

The list of servers to configure.
Use use a `yaml` representation of [iib_server](/docs/iib_config/iib_server.html) to specify all properties and params of the brokers you need.
The default value is: `{}`

##### <a name="properties"></a>`properties`

Data type: `Hash`

The list of IIB server properties.
Read about [iib_properties here](/docs/iib_config/iib_property.html).
The default value is: `{}`

### <a name="ibm_profileiib_machinesoftware"></a>`ibm_profile::iib_machine::software`

ibm_profile::iib_machine::software

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ibm_profile::iib_machine::software` class:

* [`version`](#version)
* [`source_location`](#source_location)
* [`iib_os_user`](#iib_os_user)

##### <a name="version"></a>`version`

Data type: `Pattern[/\d+\.\d+\.\d+\.\d/]`

The version of IIB to install.

##### <a name="source_location"></a>`source_location`

Data type: `String`

The location where the IIB installation can find the siftware distribution.
This can be a:
- directory
- http url
- puppet url

##### <a name="iib_os_user"></a>`iib_os_user`

Data type: `String`

The OS user to use for the installation of the IIB software.
The default is: `iibadmin`

### <a name="ibm_profilemq_machine"></a>`ibm_profile::mq_machine`

ibm_profile::mq_machine

The `ibm_profile::mq_machine` class allows you to get a full fledged MQ setup on your system in a minute. It contains all default settings needed, but you can also tweak it in a lot of ways. It contains the following stages (These are not puppet stages):

- [`sysctl`](/docs/ibm_profile/mq_machine/sysctl.html)       (Set all required sysctl parameters)
- [`limits`](/docs/ibm_profile/mq_machine/limits.html)        (Set all required OS limits)
- [`packages`](/docs/ibm_profile/mq_machine/packages.html)    (Install all required packages)
- [`groups_and_users`](/docs/ibm_profile/mq_machine/groups_and_users.html) (Create required groups and users)
- [`firewall`](/docs/ibm_profile/mq_machine/firewall.html)      (Open required firewall rules)
- [`software`](/docs/ibm_profile/mq_machine/software.html)      (Install required IBM MQ software)
- [`manager_setup`](/docs/ibm_profile/mq_machine/manager_setup.html) (Configure one or more MQ managers)
- [`autostart`](/docs/ibm_profile/mq_machine/autostart.html)  (Ensure autostart for the MQ managers)
- [`authorization_setup`](/docs/ibm_profile/mq_machine/authorization_setup.html) (Setup MQ authorization)
- [`messaging_setup`](/docs/ibm_profile/mq_machine/messaging_setup.html) (Setup MQ messaging including queues, topics etc.)
- [`mq_web`](/docs/ibm_profile/mq_machine/mq_web.html) (Enable MQ Web)

All these stages have a default implementation. This implementation is suitable to get started with. These classed all have parameters you can customize through hiera values. The defaults are specified in the module's `data/default.yaml` file.

But sometimes this is not enough and you would like to add some extra definitions, you can, for example, add a Puppet class to be executed after the `systctl` stage is done and before the `limits` is done. You can do this by adding the next line to your yaml data:

```yaml
ibm_profile::mq_machine::before_sysctl:   my_profile::my_extra_class
```
or after:

```yaml
ibm_profile::mq_machine::after_sysctl:   my_profile::my_extra_class
```

If you want to, you can also skip this provided class:

```yaml
ibm_profile::mq_machine::sysctl:   skip
```

Or provide your own implementation:

```yaml
ibm_profile::mq_machine::sysctl:   my_profile::my_own_implementation
```

This mechanism can be used for all named stages and makes it easy to move from an easy setup with a running standard database to a fully customized setup using a lot of your own classes plugged in.

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ibm_profile::mq_machine` class:

* [`before_sysctl`](#before_sysctl)
* [`before_limits`](#before_limits)
* [`before_groups_and_users`](#before_groups_and_users)
* [`before_packages`](#before_packages)
* [`before_firewall`](#before_firewall)
* [`before_software`](#before_software)
* [`before_manager_setup`](#before_manager_setup)
* [`before_autostart`](#before_autostart)
* [`before_authorization_setup`](#before_authorization_setup)
* [`before_messaging_setup`](#before_messaging_setup)
* [`before_mq_web`](#before_mq_web)
* [`sysctl`](#sysctl)
* [`limits`](#limits)
* [`groups_and_users`](#groups_and_users)
* [`packages`](#packages)
* [`firewall`](#firewall)
* [`software`](#software)
* [`manager_setup`](#manager_setup)
* [`autostart`](#autostart)
* [`authorization_setup`](#authorization_setup)
* [`messaging_setup`](#messaging_setup)
* [`mq_web`](#mq_web)
* [`after_sysctl`](#after_sysctl)
* [`after_limits`](#after_limits)
* [`after_groups_and_users`](#after_groups_and_users)
* [`after_packages`](#after_packages)
* [`after_firewall`](#after_firewall)
* [`after_software`](#after_software)
* [`after_manager_setup`](#after_manager_setup)
* [`after_autostart`](#after_autostart)
* [`after_authorization_setup`](#after_authorization_setup)
* [`after_messaging_setup`](#after_messaging_setup)
* [`after_mq_web`](#after_mq_web)
* [`before_fixpack`](#before_fixpack)
* [`fixpack`](#fixpack)
* [`after_fixpack`](#after_fixpack)

##### <a name="before_sysctl"></a>`before_sysctl`

Data type: `Optional[String]`

The name of the class you want to execute directly **before** the `sysctl` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::before_sysctl:  my_module::my_class
```

Default value: ``undef``

##### <a name="before_limits"></a>`before_limits`

Data type: `Optional[String]`

The name of the class you want to execute directly **before** the `limits` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::before_limits:  my_module::my_class
```

Default value: ``undef``

##### <a name="before_groups_and_users"></a>`before_groups_and_users`

Data type: `Optional[String]`

The name of the class you want to execute directly **before** the `groups_and_users` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::before_groups_and_users:  my_module::my_class
```

Default value: ``undef``

##### <a name="before_packages"></a>`before_packages`

Data type: `Optional[String]`

The name of the class you want to execute directly **before** the `packages` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::before_packages:  my_module::my_class
```

Default value: ``undef``

##### <a name="before_firewall"></a>`before_firewall`

Data type: `Optional[String]`

The name of the class you want to execute directly **before** the `firewall` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::before_firewall:  my_module::my_class
```

Default value: ``undef``

##### <a name="before_software"></a>`before_software`

Data type: `Optional[String]`

The name of the class you want to execute directly **before** the `software` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::before_software:  my_module::my_class
```

Default value: ``undef``

##### <a name="before_manager_setup"></a>`before_manager_setup`

Data type: `Optional[String]`

The name of the class you want to execute directly **before** the `manager_setup` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::before_manager_setup:  my_module::my_class
```

Default value: ``undef``

##### <a name="before_autostart"></a>`before_autostart`

Data type: `Optional[String]`

The name of the class you want to execute directly **before** the `autostart` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::before_autostart:  my_module::my_class
```

Default value: ``undef``

##### <a name="before_authorization_setup"></a>`before_authorization_setup`

Data type: `Optional[String]`

The name of the class you want to execute directly **before** the `authorization` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::before_authorization:  my_module::my_class
```

Default value: ``undef``

##### <a name="before_messaging_setup"></a>`before_messaging_setup`

Data type: `Optional[String]`

The name of the class you want to execute directly **before** the `messaging_setup` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::before_messaging_setup:  my_module::my_class
```

Default value: ``undef``

##### <a name="before_mq_web"></a>`before_mq_web`

Data type: `Optional[String]`

The name of the class you want to execute directly **before** the `mq_web` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::before_mq_web:  my_module::my_class
```

Default value: ``undef``

##### <a name="sysctl"></a>`sysctl`

Data type: `Optional[String]`

Use this value if you want to skip or use your own class for stage `sysctl`.
## Use your own class
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::sysctl:  my_module::my_class
```
## Skip
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::sysctl:  skip
```

Default value: ``undef``

##### <a name="limits"></a>`limits`

Data type: `Optional[String]`

Use this value if you want to skip or use your own class for stage `limits`.
## Use your own class
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::limits:  my_module::my_class
```
## Skip
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::limits:  skip
```

Default value: ``undef``

##### <a name="groups_and_users"></a>`groups_and_users`

Data type: `Optional[String]`

Use this value if you want to skip or use your own class for stage `groups_and_users`.
## Use your own class
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::groups_and_users:  my_module::my_class
```
## Skip
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::groups_and_users:  skip
```

Default value: ``undef``

##### <a name="packages"></a>`packages`

Data type: `Optional[String]`

Use this value if you want to skip or use your own class for stage `packages`.
## Use your own class
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::packages:  my_module::my_class
```
## Skip
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::packages:  skip
```

Default value: ``undef``

##### <a name="firewall"></a>`firewall`

Data type: `Optional[String]`

Use this value if you want to skip or use your own class for stage `firewall`.
## Use your own class
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::firewall:  my_module::my_class
```
## Skip
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::firewall:  skip
```

Default value: ``undef``

##### <a name="software"></a>`software`

Data type: `Optional[String]`

Use this value if you want to skip or use your own class for stage `software`.
## Use your own class
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::software:  my_module::my_class
```
## Skip
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::software:  skip
```

Default value: ``undef``

##### <a name="manager_setup"></a>`manager_setup`

Data type: `Optional[String]`

Use this value if you want to skip or use your own class for stage `manager_setup`.
## Use your own class
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::manager_setup:  my_module::my_class
```
## Skip
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::manager_setup:  skip
```

Default value: ``undef``

##### <a name="autostart"></a>`autostart`

Data type: `Optional[String]`

Use this value if you want to skip or use your own class for stage `autostart`.
## Use your own class
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::autostart:  my_module::my_class
```
## Skip
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::autostart:  skip
```

Default value: ``undef``

##### <a name="authorization_setup"></a>`authorization_setup`

Data type: `Optional[String]`

Use this value if you want to skip or use your own class for stage `authorization_setup`.
## Use your own class
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::authorization_setup:  my_module::my_class
```
## Skip
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::authorization_setup:  skip
```

Default value: ``undef``

##### <a name="messaging_setup"></a>`messaging_setup`

Data type: `Optional[String]`

Use this value if you want to skip or use your own class for stage `messaging_setup`.
## Use your own class
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::messaging_setup:  my_module::my_class
```
## Skip
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::messaging_setup:  skip
```

Default value: ``undef``

##### <a name="mq_web"></a>`mq_web`

Data type: `Optional[String]`

Use this value if you want to skip or use your own class for stage `mq_web`.
## Use your own class
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::mq_web:  my_module::my_class
```
## Skip
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::mq_web:  skip
```

Default value: ``undef``

##### <a name="after_sysctl"></a>`after_sysctl`

Data type: `Optional[String]`

The name of the class you want to execute directly **after** the `sysctl` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::after_sysctl:  my_module::my_class
```

Default value: ``undef``

##### <a name="after_limits"></a>`after_limits`

Data type: `Optional[String]`

The name of the class you want to execute directly **after** the `limits` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::after_limits:  my_module::my_class
```

Default value: ``undef``

##### <a name="after_groups_and_users"></a>`after_groups_and_users`

Data type: `Optional[String]`

The name of the class you want to execute directly **after** the `groups_and_users` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::after_groups_and_users:  my_module::my_class
```

Default value: ``undef``

##### <a name="after_packages"></a>`after_packages`

Data type: `Optional[String]`

The name of the class you want to execute directly **after** the `packages` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::after_packages:  my_module::my_class
```

Default value: ``undef``

##### <a name="after_firewall"></a>`after_firewall`

Data type: `Optional[String]`

The name of the class you want to execute directly **after** the `firewall` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::after_firewall:  my_module::my_class
```

Default value: ``undef``

##### <a name="after_software"></a>`after_software`

Data type: `Optional[String]`

The name of the class you want to execute directly **after** the `software` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::after_software:  my_module::my_class
```

Default value: ``undef``

##### <a name="after_manager_setup"></a>`after_manager_setup`

Data type: `Optional[String]`

The name of the class you want to execute directly **after** the `manager_setup` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::after_manager_setup:  my_module::my_class
```

Default value: ``undef``

##### <a name="after_autostart"></a>`after_autostart`

Data type: `Optional[String]`

The name of the class you want to execute directly **after** the `autostart` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::after_autostart:  my_module::my_class
```

Default value: ``undef``

##### <a name="after_authorization_setup"></a>`after_authorization_setup`

Data type: `Optional[String]`

The name of the class you want to execute directly **after** the `authorization_setup` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::after_authorization_setup:  my_module::my_class
```

Default value: ``undef``

##### <a name="after_messaging_setup"></a>`after_messaging_setup`

Data type: `Optional[String]`

The name of the class you want to execute directly **after** the `messaging_setup` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::after_messaging_setup:  my_module::my_class
```

Default value: ``undef``

##### <a name="after_mq_web"></a>`after_mq_web`

Data type: `Optional[String]`

The name of the class you want to execute directly **after** the `mq_web` class.
You can use hiera to set this value. Here is an example:
```yaml
ibm_profile::mq_machine::after_mq_web:  my_module::my_class
```

Default value: ``undef``

##### <a name="before_fixpack"></a>`before_fixpack`

Data type: `Optional[String]`



Default value: ``undef``

##### <a name="fixpack"></a>`fixpack`

Data type: `Optional[String]`



Default value: ``undef``

##### <a name="after_fixpack"></a>`after_fixpack`

Data type: `Optional[String]`



Default value: ``undef``

### <a name="ibm_profilemq_machineauthorization_setup"></a>`ibm_profile::mq_machine::authorization_setup`

ibm_profile::mq_machine::authorization_setup

It has support for:

- authentication_info    (See [mq_authentication_info](/docs/mq_config/mq_authentication_info.html))
- authorization          (See [mq_authorization](/docs/mq_config/mq_authorization.html))
- channel_authentication (See [mq_channel_authentication](/docs/mq_config/mq_channel_authentication.html))

 Use use a `yaml` representation of the specfied resource to specify all properties and params of the objects you need.

 When a lot of the objects  have the same defaults, use the `defaults` parameter to specify a Hash of defaults.

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ibm_profile::mq_machine::authorization_setup` class:

* [`authentication_defaults`](#authentication_defaults)
* [`authentication_info`](#authentication_info)
* [`authorization_defaults`](#authorization_defaults)
* [`authorization_list`](#authorization_list)
* [`channel_authentication_list`](#channel_authentication_list)
* [`channel_authentication_defaults`](#channel_authentication_defaults)

##### <a name="authentication_defaults"></a>`authentication_defaults`

Data type: `Hash`

The defaults to use for all MQ authentication_info records.
Use use a `yaml` representation of [mq_authentication_info](/docs/mq_config/mq_authentication_info.html) to specify all properties and params of the MQ authentication_info records you need.
The default is: `{}`

##### <a name="authentication_info"></a>`authentication_info`

Data type: `Hash`

A Hash of MQ authentication_info records.
Use use a `yaml` representation of [mq_authentication_info](/docs/mq_config/mq_authentication_info.html) to specify all properties and params of the MQ authentication_info records you need.
The default is: `{}`

##### <a name="authorization_defaults"></a>`authorization_defaults`

Data type: `Hash`

The defaults to use for all MQ authorization records.
Use use a `yaml` representation of [mq_authorization](/docs/mq_config/mq_authorization.html) to specify all properties and params of the MQ authorization records you need.
The default is: `{}`

##### <a name="authorization_list"></a>`authorization_list`

Data type: `Hash`

A Hash of MQ authorization records.
Use use a `yaml` representation of [mq_authorization](/docs/mq_config/mq_authorization.html) to specify all properties and params of the MQ authorization records you need.
The default is: `{}`

##### <a name="channel_authentication_list"></a>`channel_authentication_list`

Data type: `Hash`

a Hash of MQ channel authentication records.
Use use a `yaml` representation of [mq_channel_authentication](/docs/mq_config/mq_channel_authentication.html) to specify all properties and params of the MQ channel authentication records you need.
The default is: `{}`

##### <a name="channel_authentication_defaults"></a>`channel_authentication_defaults`

Data type: `Hash`



### <a name="ibm_profilemq_machineautostart"></a>`ibm_profile::mq_machine::autostart`

ibm_profile::mq_machine::autostart

This means a `systemctl` unit is created and the named MQ managers are added.

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ibm_profile::mq_machine::autostart` class:

* [`list`](#list)

##### <a name="list"></a>`list`

Data type: `Hash`

A list of MQ managers.
The default value is fetched from the hiera key `ibm_profile::mq_manager`. To fill this list use a `yaml` representation of [iib_brokers](/docs/mq_config/mq_manager.html)

Default value: `$ibm_profile::mq_managers`

### <a name="ibm_profilemq_machinefixpack"></a>`ibm_profile::mq_machine::fixpack`

ibm_profile::mq_machine::fixpack

on your system.

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ibm_profile::mq_machine::fixpack` class:

* [`[]]]`](#[]]])
* [`source_location`](#source_location)
* [`version`](#version)

##### <a name="[]]]"></a>`[]]]`

version
The version of MQ to install.

##### <a name="source_location"></a>`source_location`

Data type: `String`

The url or directory where to find the IIB installation tar.
gz file. You can use
either a file, a http url or a puppet url.

Default value: `$ibm_profile::source_location`

##### <a name="version"></a>`version`

Data type: `Optional[Pattern[/\d+\.\d+\.\d+\.\d/]]`



Default value: ``undef``

### <a name="ibm_profilemq_machinemanager_setup"></a>`ibm_profile::mq_machine::manager_setup`

ibm_profile::mq_machine::manager_setup

It has support for creating and managing multiple MQ managers. Use use a `yaml` representation of [mq_manager](/docs/mq_config/mq_manager.html) to specify all properties and params of the brokers you need. When a lot of the MQ managers have the same defaults, use the `defaults` parameter to specify a Hash of defaults.

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ibm_profile::mq_machine::manager_setup` class:

* [`defaults`](#defaults)
* [`list`](#list)

##### <a name="defaults"></a>`defaults`

Data type: `Hash`

The defaults to use for all MQ managers.
Use use a `yaml` representation of [mq_manager](/docs/mq_config/mq_manager.html) to specify all properties and params of the MQ managers you need.
The default is: `{}`

##### <a name="list"></a>`list`

Data type: `Hash`

A Hash of MQ managers.
Use use a `yaml` representation of [mq_manager](/docs/mq_config/mq_manager.html) to specify all properties and params of the MQ managers you need.
The default is: `{}`

Default value: `$ibm_profile::mq_managers`

### <a name="ibm_profilemq_machinemessaging_setup"></a>`ibm_profile::mq_machine::messaging_setup`

ibm_profile::mq_machine::messaging_setup

It has support for:

- queue's   (See [mq_queue](/docs/mq_config/mq_queue.html))
- topics    (See [mq_topic](/docs/mq_config/mq_topic.html))
- listeners (See [mq_listener](/docs/mq_config/mq_listener.html))
- channels  (See [mq_channel](/docs/mq_config/mq_channel.html))

 Use use a `yaml` representation of the specfied resource to specify all properties and params of the objects you need.

 When a lot of the objects  have the same defaults, use the `defaults` parameter to specify a Hash of defaults.

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ibm_profile::mq_machine::messaging_setup` class:

* [`queue_list`](#queue_list)
* [`queue_defaults`](#queue_defaults)
* [`topic_list`](#topic_list)
* [`topic_defaults`](#topic_defaults)
* [`listener_list`](#listener_list)
* [`listener_defaults`](#listener_defaults)
* [`channel_list`](#channel_list)
* [`channel_defaults`](#channel_defaults)

##### <a name="queue_list"></a>`queue_list`

Data type: `Hash`

A Hash of MQ queues.
Use use a `yaml` representation of [mq_queue](/docs/mq_config/mq_queue.html) to specify all properties and params of the MQ queues you need.
The default is: `{}`

##### <a name="queue_defaults"></a>`queue_defaults`

Data type: `Hash`

The defaults to use for all MQ queues.
Use use a `yaml` representation of [mq_queue](/docs/mq_config/mq_queue.html) to specify all properties and params of the MQ queues you need.
The default is: `{}`

##### <a name="topic_list"></a>`topic_list`

Data type: `Hash`

A Hash of MQ topics.
Use use a `yaml` representation of [mq_topic](/docs/mq_config/mq_topic.html) to specify all properties and params of the MQ topics you need.
The default is: `{}`

##### <a name="topic_defaults"></a>`topic_defaults`

Data type: `Hash`

The defaults to use for all MQ topics.
Use use a `yaml` representation of [mq_topic](/docs/mq_config/mq_topic.html) to specify all properties and params of the MQ topics you need.
The default is: `{}`

##### <a name="listener_list"></a>`listener_list`

Data type: `Hash`

A Hash of MQ listeners.
Use use a `yaml` representation of [mq_listener](/docs/mq_config/mq_listener.html) to specify all properties and params of the MQ listeners you need.
The default is: `{}`

##### <a name="listener_defaults"></a>`listener_defaults`

Data type: `Hash`

The defaults to use for all MQ listeners.
Use use a `yaml` representation of [mq_listener](/docs/mq_config/mq_listener.html) to specify all properties and params of the MQ listeners you need.
The default is: `{}`

##### <a name="channel_list"></a>`channel_list`

Data type: `Hash`

A Hash of MQ channels.
Use use a `yaml` representation of [mq_channel](/docs/mq_config/mq_channel.html) to specify all properties and params of the MQ channels you need.
The default is: `{}`

##### <a name="channel_defaults"></a>`channel_defaults`

Data type: `Hash`

The defaults to use for all MQ channels.
Use use a `yaml` representation of [mq_channel](/docs/mq_config/mq_channel.html) to specify all properties and params of the MQ channels you need.
The default is: `{}`

### <a name="ibm_profilemq_machinemq_web"></a>`ibm_profile::mq_machine::mq_web`

ibm_profile::mq_machine::mq_web

Use use a `yaml` representation of [mq_web](/docs/mq_config/mq_web.html) to specify all properties and params of the service.

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ibm_profile::mq_machine::mq_web` class:

* [`list`](#list)

##### <a name="list"></a>`list`

Data type: `Hash`

A single Hash of MQ Web.
Use use a `yaml` representation of [mq_web](/docs/mq_config/mq_web.html) to specify all properties and params of the MQ webs you need.
The default is: `{}`

### <a name="ibm_profilemq_machinesoftware"></a>`ibm_profile::mq_machine::software`

ibm_profile::mq_machine::software

Specify the version and the location where to find the software kit.

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ibm_profile::mq_machine::software` class:

* [`version`](#version)
* [`source_location`](#source_location)
* [`install_ams`](#install_ams)
* [`install_ft`](#install_ft)
* [`install_client`](#install_client)
* [`install_explorer`](#install_explorer)
* [`install_xrserver`](#install_xrserver)
* [`install_samples`](#install_samples)
* [`install_sdk`](#install_sdk)
* [`install_man`](#install_man)
* [`install_gskit`](#install_gskit)
* [`install_amqp`](#install_amqp)
* [`install_web`](#install_web)
* [`install_salesforce`](#install_salesforce)
* [`install_blockchain`](#install_blockchain)
* [`install_rdqm`](#install_rdqm)
* [`install_toolkit`](#install_toolkit)

##### <a name="version"></a>`version`

Data type: `Pattern[/\d+\.\d+\.\d+\.\d/]`

The version of MQ to install.

##### <a name="source_location"></a>`source_location`

Data type: `String`

The url or directory where to find the IIB installation tar.
gz file. You can use
either a file, a http url or a puppet url.

Default value: `$ibm_profile::source_location`

##### <a name="install_ams"></a>`install_ams`

Data type: `Boolean`



##### <a name="install_ft"></a>`install_ft`

Data type: `Boolean`



##### <a name="install_client"></a>`install_client`

Data type: `Boolean`



##### <a name="install_explorer"></a>`install_explorer`

Data type: `Boolean`



##### <a name="install_xrserver"></a>`install_xrserver`

Data type: `Boolean`



##### <a name="install_samples"></a>`install_samples`

Data type: `Boolean`



##### <a name="install_sdk"></a>`install_sdk`

Data type: `Boolean`



##### <a name="install_man"></a>`install_man`

Data type: `Boolean`



##### <a name="install_gskit"></a>`install_gskit`

Data type: `Boolean`



##### <a name="install_amqp"></a>`install_amqp`

Data type: `Boolean`



##### <a name="install_web"></a>`install_web`

Data type: `Boolean`



##### <a name="install_salesforce"></a>`install_salesforce`

Data type: `Boolean`



##### <a name="install_blockchain"></a>`install_blockchain`

Data type: `Boolean`



##### <a name="install_rdqm"></a>`install_rdqm`

Data type: `Boolean`



##### <a name="install_toolkit"></a>`install_toolkit`

Data type: `Boolean`



### <a name="ibm_profilemq_machinesysctl"></a>`ibm_profile::mq_machine::sysctl`

ibm_profile::mq_machine::sysctl

Using hiera, you can customize some of the aspects of this process.

When these customizations aren't enough, you can replace the class with your own class. See [ibm_profile::mq_machine](./mq_machine.html) for an explanation on how to do this.

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ibm_profile::mq_machine::sysctl` class:

* [`list`](#list)

##### <a name="list"></a>`list`

Data type: `Hash`



